FFmpeg builds for GNU/Linux & Windows
=====================================

### FFmpeg 7.0 Builds:

  * **`GNU/Linux downloads (Static):`**
  
    * [ffmpeg-7.0-linux-gnu-64bit-build.tar.bz2](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa) (Generic Linux x86_64)
    * [ffmpeg-7.0-linux-gnu-64bit-build.deb](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa) (Debian/Ubuntu x86_64)
    * [ffmpeg-7.0-linux-gnu-64bit-build.rpm](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa) (RedHat/Fedora x86_64)
       
  * **`Windows downloads (Shared):`**
  
    * [ffmpeg-7.0-win-64bit-build.zip](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa)
    * [ffmpeg-7.0-win-64bit-build.exe](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa)
    * [ffmpeg-7.0-cygwin-64bit-build.tar.gz](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa)

### HOW TO INSTALL:

  * **GNU/Linux instructions:**

    * Download the package [ffmpeg-7.0-linux-gnu-64bit-build.tar.bz2](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa).
    * Open the terminal and type the following command for install:
        * `$ sudo tar jxvf ffmpeg-7.0-linux-gnu-64bit-build.tar.bz2 -C /`
    
  * **Windows instructions:**
    
    * Download the package [ffmpeg-7.0-win-64bit-build.zip](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa).
    * Unzip the package with [7-zip](http://www.7-zip.org/) or [Winrar](http://www.rarlab.com/).
    * Copy the files to a folder. For example: `C:\Program Files\FFmpeg`
    * Add the path `C:\Program Files\FFmpeg` to [PATH](https://www.google.es/search?q=add+folder+to+PATH+on+Windows) variable.

  * **Cygwin instructions:**
    
    * Download the package [ffmpeg-7.0-cygwin-64bit-build.tar.gz](https://drive.proton.me/urls/QF77HRCJER#MKKsNvsyY3fa).
    * Open the Cygwin terminal and type the following command for install:
        * `$ tar jxvf ffmpeg-7.0-cygwin-64bit-build.tar.gz -C /`   
 
### HOW TO CREATE YOUR BUILD:

  * **GNU/Linux instructions:**
  
    * Install dependencies in your GNU/Linux distro.
    * Dependencies: `wget`, `gcc`, `make`, `cmake`, `meson/ninja` and `git`.
    * Type the following commands:
        * `$ git clone https://git.q3aql.dev/q3aql/ffmpeg-builds`
        * `$ cd ffmpeg-builds`
        * `$ sudo ./ffmpeg-static-build-[arch].sh`
    
    _Note: Replace `[arch]` with `linux32` or `linux64` depending on your architecture._
      
  * **Windows instructions:**
  
    * Install Cygwin for [32bits](https://cygwin.com/setup-x86.exe) or [64bits](https://cygwin.com/setup-x86_64.exe).
    * During installation, `configure the repository` and install `git` and `wget` or `lynx`.
    * Open Cygwin terminal and type the following commands:
        * `$ git clone https://git.q3aql.dev/q3aql/ffmpeg-builds`
        * `$ cd ffmpeg-builds`
        * `$ ./ffmpeg-share-build-[arch].sh`
    
    _Note: Replace `[arch]` with `cygwin32` or `cygwin64` depending on your architecture._

### Related links:

  * [FFmpeg homepage](https://ffmpeg.org/)
  * [FFmpeg Linux builds by John](https://johnvansickle.com/ffmpeg/)
  * [FFmpeg Win64/Linux64 Builds by Btbn](https://github.com/BtbN/FFmpeg-Builds)
  * [FFmpeg Win32 Builds](https://github.com/sudo-nautilus/FFmpeg-Builds-Win32)

